summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRenat Lumpau <rl03@gentoo.org>2005-11-10 14:00:51 +0000
committerRenat Lumpau <rl03@gentoo.org>2005-11-10 14:00:51 +0000
commit2891c04d2f4fcc066eaa735f91db373ae9346063 (patch)
treefb0de7d366cfc961248b5bd075c163ef7dc2f343 /dev-db/phpmyadmin/files
parentversion bump: v1.23HotFix1 (job lost on some types of printer errors) (diff)
downloadgentoo-2-2891c04d2f4fcc066eaa735f91db373ae9346063.tar.gz
gentoo-2-2891c04d2f4fcc066eaa735f91db373ae9346063.tar.bz2
gentoo-2-2891c04d2f4fcc066eaa735f91db373ae9346063.zip
Fix reconfig hook wrt bug #112021.
(Portage version: 2.0.51.22-r2)
Diffstat (limited to 'dev-db/phpmyadmin/files')
-rw-r--r--dev-db/phpmyadmin/files/reconfig-2.716
1 files changed, 16 insertions, 0 deletions
diff --git a/dev-db/phpmyadmin/files/reconfig-2.7 b/dev-db/phpmyadmin/files/reconfig-2.7
new file mode 100644
index 000000000000..84d92c08fe7c
--- /dev/null
+++ b/dev-db/phpmyadmin/files/reconfig-2.7
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+die() {
+ echo "#####"
+ echo $1
+ echo "#####"
+ exit 1
+}
+
+if [ $1 = "install" ]; then
+ cd ${MY_INSTALLDIR}
+ sed -e "s|\$cfg\['PmaAbsoluteUri'\] = '';|\$cfg\['PmaAbsoluteUri'\] = 'http://${VHOST_HOSTNAME}/${VHOST_APPDIR}';|g" -i config.default.php || die "sed failed"
+
+elif [ $1 = "clean" ]; then
+ echo $1
+fi